Package org.apache.maven.scm.provider.perforce.command.blame

## Class PerforceBlameCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.blame.AbstractBlameCommand
    - - org.apache.maven.scm.provider.perforce.command.blame.PerforceBlameCommand

All Implemented Interfaces:
  `Command`, `PerforceCommand`

    public class PerforceBlameCommand
    extends AbstractBlameCommand
    implements PerforceCommand

Since:
  1.4
Author:
  Evgeny Mandrikov, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`PerforceBlameCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(PerforceScmProviderRepository repo, java.io.File workingDirectory, java.lang.String filename, java.lang.String clientspec)`
`static org.codehaus.plexus.util.cli.Commandline` `createFilelogCommandLine​(PerforceScmProviderRepository repo, java.io.File workingDirectory, java.lang.String filename, java.lang.String clientspec)`
`BlameScmResult` `executeBlameCommand​(ScmProviderRepository repo, ScmFileSet workingDirectory, java.lang.String filename)`

### Methods inherited from class org.apache.maven.scm.command.blame.AbstractBlameCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceBlameCommand

    public PerforceBlameCommand()

### Method Detail

#### executeBlameCommand

    public BlameScmResult executeBlameCommand​(ScmProviderRepository repo,
                                              ScmFileSet workingDirectory,
                                              java.lang.String filename)
                                       throws ScmException

Specified by:
  `executeBlameCommand` in class `AbstractBlameCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine​(PerforceScmProviderRepository repo,
                                                                             java.io.File workingDirectory,
                                                                             java.lang.String filename,
                                                                             java.lang.String clientspec)

#### createFilelogCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createFilelogCommandLine​(PerforceScmProviderRepository repo,
                                                                                    java.io.File workingDirectory,
                                                                                    java.lang.String filename,
                                                                                    java.lang.String clientspec)